#include <iostream>

using namespace std;

int main()
{   
    int n,m;
    long u = 1;
    char k;
    cin >> n;
    int a[26];
    for(int i=0;i<26;i++)
        a[i]=0;
    for(int i=0;i<n;i++){
        cin >> k;
        m = k;
        m = m-65;
        a[m]++;
    }
    for(int i=0;i<26;i++)
        u = u * a[i];
    cout << u % 1000000007; 
    return 0;
}